/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 *
 */
package org.jboss.test.jmx.test;

import org.jboss.test.JBossTestCase;

/**
 * Stresses redeployment
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.1.2.1 $
 */

public class RedeployStressTestCase extends JBossTestCase
{
   public RedeployStressTestCase(String name)
   {
      super(name);
   }

   public void testEarRedeploy() throws Exception
   {
      String testUrl = "jbosstest-web.ear";
      for (int i = 0; i < getIterationCount(); ++i)
      {
         try
         {
            deploy(testUrl);
         }
         finally
         {
            undeploy(testUrl);
         }
      }
   }
}
